[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'heaptrc' (#rtl)

# DumpHeap

Dump memory usage report to stderr.

## Declaration

Source position: heaptrc.pp line 35

`procedure DumpHeap; procedure DumpHeap(`
`SkipIfNoLeaks: Boolean`
`);`

## Description

DumpHeap dumps to standard output a summary of memory usage. It is called automatically by the heaptrc unit when your program exits (by installing an exit procedure), but it can be called at any time.

## Errors

None.